## vmware-package 0.22

=== debian/changelog ===
vmware-package (0.22) unstable; urgency=low

  * Convert most of vmware-package's Recommends to Depends in light of
    stricter checking by dpkg-shlibdeps(1).
  * Add Depends: libstdc++5 [i386]; closes: #462784.
  * Fully qualify path to execstack; closes: #471544.
  * Add Conflicts: vmware-bin to vmware-server.
  * Add Conflicts: vmware-server to vmware-bin.
  * Invoke m-a with 'build' instead of 'auto-build'.
  * Update to VMware Workstation 6.0.3-80004.
  * Update to VMware Player 2.0.3-80004.
  * Update to VMware Server 1.0.5-80187.
  * These updates include an updated private copy of openssl0.9.7, which
    resolves the following vulnerabilities: CVE-2006-2940, CVE-2006-2937,
    CVE-2006-4343.
  * VMware kernel modules are now buildable unpatched on Linux 2.6.24.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 19 Mar 2008 01:10:08 -0400

vmware-package (0.21) unstable; urgency=low

  * Update to any-any 115.
  * Loosen regex for vmware-any-any.
  * Fix conditional for invoking multi_file_err(); closes: #462620.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 26 Jan 2008 16:18:24 -0500

vmware-package (0.20) unstable; urgency=low

  * Support building debs from multiple tarballs.
  * Ship a changelog and copyright file in each generated package.
  * Depends: prelink and disable executable stacks in VMware's shipped
    libraries.
  * Relax inetd requirements for vmware-server to openbsd-inetd |
    inet-superserver; closes: #448691.
  * Remove init.d links on uninstallation of vmware-server and
    vmware-server-mui; closes: #448163.
  * Install vmware-server-console icon to the correct location and update
    .desktop file; closes: #448004.
  * Remove Recommends: libssl0.9.7, since this package is no longer available
    in sid; closes: #447815.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 06 Nov 2007 17:42:58 -0500

vmware-package (0.19) unstable; urgency=low

  * Update to VMware Workstation 6.0.2-59824.
  * Update to VMware Player 2.0.2-59824.
  * Correct unknown version error message; closes: #447777.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 23 Oct 2007 14:59:18 -0400

vmware-package (0.18) unstable; urgency=low

  * Fix broken -K option.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 21 Oct 2007 19:22:52 -0400

vmware-package (0.17) unstable; urgency=low

  * Update to any-any 114.
  * Add vmnet1.hostonly* values to /etc/vmware/config in vmware-server;
    closes: #446116.
  * Add a -K / --kvers-list command line option which is passed to
    module-assistant when building modules; closes: #447134.
  * Add example usage to README.Debian; closes: #444400.
  * Fall back on $EMAIL if $DEBEMAIL is not set.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 21 Oct 2007 16:56:38 -0400

vmware-package (0.16) unstable; urgency=low

  * Put the vmware-package Debian version number in the generated packages'
    changelogs.
  * Embed the vmware-package version number in the version number of the
    generated packages.  This may break automatic upgrades depending on the
    localver component of previously installed packages.
  * Update to VMware Workstation 6.0.1-55017.
  * Update to VMware Player 2.0.1-55017.
  * Update to VMware Server 1.0.4-56528.
  * These updates resolve the following vulnerabilities: CVE-2007-0061,
    CVE-2007-0062, CVE-2007-0063, CVE-2007-4059, CVE-2007-4155, CVE-2007-4496,
    CVE-2007-4497.
  * VMware kernel modules are now buildable on Linux 2.6.22.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 26 Sep 2007 17:37:29 -0400

vmware-package (0.15) unstable; urgency=low

  * Install fixed i386/amd64 specific vmware-authd pam.d configs;
    closes: #440871.
  * Convert to an Arch: i386 amd64 package since these are the only
    architectures supported by VMware, and cross-building will likely never be
    feasible.
  * Recommend a significant number of run-time dependencies in generated
    VMware packages in vmware-package's control file.
  * Introduce a vmware-modules-_KVERS_ virtual package in the various modules
    packages to ensure mutual conflicts.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 13 Sep 2007 20:20:56 -0400

vmware-package (0.14) unstable; urgency=low

  * Only recommend ia32-libs; add build-deps on ia32-libs [amd64] in the
    generated package control files; closes: #440882.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 04 Sep 2007 22:08:59 -0400

vmware-package (0.13) unstable; urgency=low

  * Depend on ia32-libs on amd64 so that generated packages will pick up the
    shlibdeps; closes: #440863.
  * Use shipped rather than Debian PAM libraries on amd64; closes: #440871.
  * Prevent shlibs files from entering generated packages.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 04 Sep 2007 19:52:45 -0400

vmware-package (0.12) unstable; urgency=low

  * Unconditionally force the "2.6.x build system" by passing VM_KBUILD=26 to
    the VMware kernel module Makefiles; closes: #437401.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 14 Aug 2007 06:00:25 -0400

vmware-package (0.11) unstable; urgency=low

  * Explicitly depend on vmware-lib in the generated workstation and player
    packages; closes: #435756.
  * Update to any-any 113.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 07 Aug 2007 23:28:36 -0400

vmware-package (0.10) unstable; urgency=low

  * Inspect all ELF executables shipped in the generated packages for shared
    library dependencies; closes: #433882.
  * Validate the Maintainer field; closes: #433879.
  * Document "not_configured" behavior in README.Debian.
  * Attempt to break idiotic behavior in the shipped VMware init script:
    - failing to run if a "not_configured" file is present
    - invoking insmod .../$module.o instead of modprobe $module
  * Update to any-any 112.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 24 Jul 2007 17:13:23 -0400

vmware-package (0.9) unstable; urgency=low

  * Depend on bzip2.

