=== debian/control ===
Source: vmware-package
Section: contrib/misc
Priority: extra
Maintainer: Debian vmware-package team <vmware-package-maintainers@lists.alioth.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>> 5)
Standards-Version: 3.7.3

Package: vmware-package
Architecture: i386 amd64
Depends: debhelper (>> 5), dpkg-dev, make, fakeroot, python, module-assistant,
 bzip2, file, prelink, ia32-libs [amd64], ia32-libs-gtk [amd64],
 libstdc++5 [i386], libart-2.0-2, libatk1.0-0, libbz2-1.0, libcairo2,
 libcroco3, libexpat1, libfontconfig1, libfreetype6, libglade2-0, libglib2.0-0,
 libglibmm-2.4-1c2a, libgnomecanvas2-0, libgnomecanvasmm-2.6-1c2a,
 libgsf-1-114, libgtk2.0-0, libgtkmm-2.4-1c2a, libice6, libpango1.0-0,
 libpng12-0, librsvg2-2, libsexy2, libsexymm2, libsigc++-2.0-0c2a, libsm6,
 libview2, libx11-6, libxau6, libxcursor1, libxdmcp6, libxext6, libxfixes3,
 libxft2, libxi6, libxinerama1, libxml2, libxrandr2, libxrender1, libxt6,
 libxtst6, zlib1g
Recommends: libcairomm-1.0-1
Description: utility for building VMware Debian packages
 This package provides a 'make-vmpkg' utility that creates Debian packages
 for various VMware products and related software.
 .
 The following products are supported:
 .
   * VMware Workstation 6.0 (includes VMware Player).
   * VMware Player 2.0.
   * VMware Server 1.0.
   * VMware Server Console 1.0.
   * VMware Server Management Interface 1.0.
   * any-any kernel modules.
 .
 Please note that the resulting packages files are non-free and
 non-distributable.
 .
 The package is meant to aid a local admin to roll out VMware products to his
 systems by means of the packaging system.
