=== share/any-any/debian/control ===
Source: vmware-any-any
Section: non-free/misc
Priority: extra
Maintainer: @MAINTAINER@
Build-Depends: debhelper (>= 5), perl (>= 5.6.0-16), bzip2
Standards-Version: 3.7.2

Package: vmware-any-any-kernel-source
Architecture: all
Depends: module-assistant, debhelper (>= 5), make, bzip2
Suggests: fakeroot
Description: vmware-any-any-kernel module source
 This package provides the source code for the vmware-any-any-kernel kernel
 modules.  Kernel source or headers are required to compile these modules.
