=== share/any-any/debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include debian/vmware.mk

build: build-stamp
build-stamp:
	dh_testdir
	tar zxf $(DISTRIB_TARBALL) --exclude=lib/modules/binary
	touch build-stamp

clean:
	dh_testdir
	dh_clean
	rm -rf $(DISTRIB) build-stamp

install-module-source:
ifneq ($(mod),)
	mkdir -p $(mod_dir)/debian

	-tar -C $(mod_dir) -xf $(DISTRIB)/vmblock.tar
	tar -C $(mod_dir) -xf $(DISTRIB)/vmmon.tar
	tar -C $(mod_dir) -xf $(DISTRIB)/vmnet.tar

	-cp modules/getversion.pl $(mod_dir)/vmblock-only
	cp modules/getversion.pl $(mod_dir)/vmmon-only
	cp modules/getversion.pl $(mod_dir)/vmnet-only

	cp -a modules/* debian/changelog debian/vmware.mk \
		$(mod_dir)/debian
	cp debian/copyright $(mod_dir)/debian/copyright
	sed -i -e 's/@mod@/$(mod)/g' \
		$(mod_dir)/debian/control \
		$(mod_dir)/debian/control.modules.in
	cd debian/$(mod)-source/usr/src && tar c modules \
		| bzip2 -9 > $(mod)-source.tar.bz2 \
		&& rm -rf modules
endif

install: build install-module-source
	dh_testdir
	dh_testroot
	dh_install

binary: binary-arch
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary binary-arch build clean install-module-source install
